<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <title>Login</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>
<body>
<div class="jumbotron text-center">
    <h1>Welcome to COVID-19</h1>
    <h1>Support Network</h1>
    <h3>By the people who have been sick</h3>
    <h3>For the people who want to know the truth</h3>
</div>

<div class="container">
    <div class="row">
        <div class="col-sm-4">

        </div>
        <div class="col-sm-4" style="text-align: center">

            <p sec:authorize="isAuthenticated()">
                You are logged in as:<strong span sec:authentication="name"/>
                <br/>

                <div  sec:authorize="hasRole('ADMIN')">
            <p >You are Immortal</p>
        </div>

        <h3 sec:authorize="hasRole('ADMIN')"><a href="/admin">Admin Portal</a></h3>

        <h3><a sec:authorize="isAuthenticated()" href="/profile">Profile</a></h3>

        <h3><a sec:authorize="isAuthenticated()" href="/userfeed">Friendfeed</a></h3>

        <h3><a href="/userlist">Userlist</a></h3>
        <h3><a href="/publicfeed">Publicfeed</a></h3>


        <form th:action="@{/register}" sec:authorize="!isAuthenticated()" method="get">
            <input type="submit" value="Login"/>
        </form>

        <br/>
        <form th:action="@{/logout}" sec:authorize="isAuthenticated()" method="post">
            <input type="submit" value="Logout"/>
        </form>
    </div>
    <div class="col-sm-4">

    </div>
</div>
</div>
</body>
</html>
